#!/bin/sh

(
    # CD to the directory that this file is in
    cd $(dirname "$0")

    if [[ -e ../paper-houses-theme.zip ]]; then
        echo "This will delete the existing paper-houses-theme.zip"
        echo "(^C to abort; Enter to continue)"
        read;
        rm ../paper-houses-theme.zip
        echo "Deleted paper-houses-theme.zip"
    fi

    # Build SCSS for prod
    if ! command -v sass &> /dev/null; then
        echo "sass could not be found. Please install sass"
        exit
    fi
    sass --no-source-map assets/styles/main.scss assets/built/main.css

    # Exclude unbuilt styles and source map
    zip -r ../paper-houses-theme.zip . -x 'assets/styles/*' -x '*.map'
)
